Skip to main content
`Ctrl`+`K`

# DMStagCreateISFromStencils

Create an `IS`, using global numberings, for a subset of DOF in a `DMSTAG` object

## Synopsis

    #include "petscdmstag.h"
    PetscErrorCode DMStagCreateISFromStencils(DM dm, PetscInt n_stencil, DMStagStencil stencils[], IS *is)

Collective

## Input Parameters

- dm - the `DMSTAG` object

- n_stencil - the number of stencils provided

- stencils - an array of `DMStagStencil` objects (`i`, `j`, and `k` are ignored)

## Output Parameter

- is - the global `IS`

## Note

Redundant entries in the stencils argument are ignored

## See Also

DMSTAG: Staggered, Structured Grid, `DMSTAG`, `IS`, `DMStagStencil`, `DMCreateGlobalVector`

## Level

advanced

## Location

src/dm/impls/stag/stagstencil.c

Index of all DMStag routines
Table of Contents for all manual pages
Index of all manual pages